Name:       darkice
Version:    1.5
Release:    1%{?dist}
Summary:    Live audio streamer
Group:      Applications/Multimedia
License:    GPLv2+
URL:        http://darkice.tyrell.hu/
Source0:    http://darkice.tyrell.hu/dist/0.19/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gcc gcc-c++
BuildRequires: alsa-lib-devel
BuildRequires: zlib-devel
BuildRequires: libogg-devel
BuildRequires: libvorbis-devel
BuildRequires: twolame-devel lame-devel pulseaudio-libs-devel libsamplerate-devel jack-audio-connection-kit-devel
# faac-devel libaacplus-devel >= 2.0 opus-devel
%description
DarkIce is a live audio streamer. It records audio from an audio interface
(e.g. sound card), encodes it and sends it to a streaming server.

DarkIce can record from:
* OSS audio devices
* ALSA audio devices
* Solaris audio interface
* Jack sources
* uLaw audio input through a serial interface


%prep
%setup -q

%build
%configure --with-lame --with-vorbis --with-twolame --with-alsa   --with-pulseaudio --with-jack --with-samplerate
#--with-opus --with-faac  --with-aacplus

%{__make} -k %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%config %{_sysconfdir}/darkice.cfg
%{_bindir}/darkice
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man5/%{name}.cfg.5.gz

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 21 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.19-5
- Fix FTBFS: added darkice-0.19-gcc44.patch

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 5 2008 Clint Savage <herlo@fedoraproject.org> 0.19-3
- Fixed the licensing to GPLv2+
* Wed Jul 25 2008 Clint Savage <herlo@fedoraproject.org> 0.19-2
- Fixing packaging mistakes according to the FedoraProject standards
* Wed Jul 9 2008 Clint Savage <herlo@fedoraproject.org> 0.19-1
- Initial rpm package
